import { AppBar, Toolbar, Typography} from '@mui/material';
import { Box } from '@mui/system';
import ArrowDecrementButton from '../UI/ArrowDecrementButton/ArrowDecrementButton';
import ArrowIncrementButton from '../UI/ArrowIncrementButton/ArrowIncrementButton';




function WeekCalendarHeader({decrementWeek, incrementWeek, weekInfo}) {
  
  return (
    <>
        <Box sx={{ flexGrow: 1 }}>
          <AppBar position="static">
            <Toolbar>
              <Box sx={{width: '40%', marginBottom: '15px'}}>
                <h2>Цель недели: Наладить режим сна</h2>
                <Box sx={{display: 'flex', alignItems: 'center'}}>
                  <ArrowDecrementButton
                    onClick={()=>{decrementWeek()}}
                  />
                    <Typography
                      variant="h6" 
                      sx={{  
                        flexBasis: '250px',
                        display: 'flex',
                        justifyContent: 'center',
                      }}
                    >
                      {weekInfo}
                    </Typography>
                  <ArrowIncrementButton
                    onClick={()=>{incrementWeek()}}
                  />
                </Box>
              </Box>
              

            </Toolbar>
          </AppBar>
        </Box>
    </>
  );
}

export default WeekCalendarHeader;